Burp community forum

What are the system requirements for Burp Suite Professional

Mayuri | Last updated: Jul 15, 2019 05:05AM UTC

What are the system requirements for Burp Suite Professional (single user licensed)

Liam, PortSwigger Agent | Last updated: Jul 16, 2019 08:29AM UTC

Burp Suite Professional requires a computer with the official Java Runtime Environment (64-bit edition, version 1.7 or later) installed. JREs are available for various popular operating systems, including Windows, Linux and Mac OS X. If you are unsure whether your computer is suitable, you should first test the free community edition of Burp Suite on your computer to satisfy yourself that it works correctly. Burp Suite Professional requires a minimum of 4Gb of memory. If you are performing large amounts of work, or testing large or complex applications, you may need more memory than this. If you are unsure whether your computer is suitable, you should first test the community edition of Burp Suite on your computer to satisfy yourself that it works correctly. - https://support.portswigger.net/customer/portal/articles/1855756-burp-suite-software

Burp User | Last updated: Jul 17, 2019 05:09AM UTC

When I apply for the Professional Edition, I am prompted to receive an invalid email address. what should I do? address:admin@ituoch.net

Liam, PortSwigger Agent | Last updated: Jul 17, 2019 12:35PM UTC

Please can you email office@portswigger.net with license-related requests? Thanks.

You need to Log in to post a reply. Or register here, for free.